IPS(4)

NAME
ips - IBM SATA/SCSI ServeRAID controller

SYNOPSIS
ips* at pci?

DESCRIPTION
The ips driver provides support for IBM ServeRAID controllers, including:

•   ServeRAID 3H/3HB/3L
•   ServeRAID 4H/4L/4Lx/4M/4Mx
•   ServeRAID 5i/5i II
•   ServeRAID 6i/6M
•   ServeRAID 7k/7M/7t

Although the controllers are actual RAID controllers, the driver makes them look just like SCSI controllers. All RAID configuration is done through the bootable IBM ServeRAID Support CD; a CD image is freely available at the IBM website.

The management interface is provided through the bio(4) device or one of the daughter sd(4) devices as implemented in the bioctl(8) utility. Logical disk status is exposed under the hw.sensors sysctl(8) and can be monitored using sensorsd(8).

SEE ALSO
bio(4), intro(4), pci(4), scsi(4), sd(4), bioctl(8), sensorsd(8), sysctl(8)

http://www.ibm.com

HISTORY
The ips driver first appeared in OpenBSD 4.1.

AUTHORS
-nosplit The ips driver was written by Alexander Yurchenko <grange@openbsd.org>.

CAVEATS
Due to bioctl(8) limitations the ips driver associates all unused and hot spare drives with the first volume but the drives can be used for rebuilding any degraded volume.